# BarcodeDialogFormat enum

The barcode text format dialog.

Inheritance
  - Object
  - Enum
  - BarcodeDialogFormat

## Constructors

BarcodeDialogFormat()
  const

## Values

CODE → const BarcodeDialogFormat

  Show the barcode value only. */

TYPE_AND_CODE → const BarcodeDialogFormat

  Show the barcode format with value. */

## Properties

hashCode → int
  The hash code for this object.
  read-only inherited
index → int
  A numeric identifier for the enumerated value.
  read-only inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

values → const List<BarcodeDialogFormat>
  A constant List of the values in this enum, in order of their declaration.
  `[CODE, TYPE_AND_CODE]`